
QGIS Application - Bug report #333

indexed GeoTIFF raster displays grayscaled

2006-10-04 01:54 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10392

Description

I am using the Windows version of v0.8 "Titan" Preview 2.

The [[GeoTIFF]] file is an 8-bit color raster that has an indexed palette, but it tries to display it as grayscaled values.

My [[GeoTIFF]] Specs from tiffinfo

$ tiffinfo.exe  O34086-G7.TIF

TIFFReadDirectory: Warning, O34086-G7.TIF: unknown field with tag 33550 (0x830e) encountered.

TIFFReadDirectory: Warning, O34086-G7.TIF: unknown field with tag 33922 (0x8482) encountered.

TIFFReadDirectory: Warning, O34086-G7.TIF: unknown field with tag 34735 (0x87af) encountered.

TIFFReadDirectory: Warning, O34086-G7.TIF: unknown field with tag 34737 (0x87b1) encountered.

TIFF Directory at offset 0x522f48

  Image Width: 4774 Image Length: 5784

  Resolution: 1, 1 (unitless)

  Bits/Sample: 8

  Sample Format: unsigned integer

  Compression Scheme: [[PackBits]]

  Photometric Interpretation: min-is-black

  Orientation: row 0 top, col 0 lhs

  Samples/Pixel: 1

  Rows/Strip: 1

  Planar Configuration: single image plane

  Color Map: (present)

  Software: IMAGINE TIFF Support

Copyright 1991 - 1999 by ERDAS, Inc. All Rights Reserved

@(#)$RCSfile: etif.c $ $Revision: 1.11 $ $Date$

  Tag 33550: 2.400000,2.400000,0.000000

  Tag 33922: 0.000000,0.000000,0.000000,511424.042000,3859011.495000,0.000000

  Tag 34735: 1,1,0,6,1024,0,1,1,1025,0,1,1,1026,34737,236,0,3072,0,1,26716,3073,

34737,209,236,3076,0,1,9001

  Tag 34737: IMAGINE [[GeoTIFF]] Support

Copyright 1991 - 2001 by ERDAS, Inc. All Rights Reserved

@(#)$RCSfile: egtf.c $ $Revision: 1.11.2.3 $ $Date: 2004/11/24 09:12:56EST $

Projection Name = NAD_1927_UTM_Zone_16N

Units = meters

[[GeoTIFF]] Units = meters|IMAGINE [[GeoTIFF]] Support

Copyright 1991 - 2001 by ERDAS, Inc. All Rights Reserved

@(#)$RCSfile: egtf.c $ $Revision: 1.11.2.3 $ $Date: 2004/11/24 09:12:56EST $

UTM Zone 16N
Ellipsoid = Clarke 1866

Datum = NAD27|

History

#1 - 2006-10-04 02:13 PM - Redmine Admin

Sample is available upon an email request. It is about 1.8MiB Zipped.

#2 - 2006-11-07 12:04 AM - Gavin Macaulay -

It displays fine for me under Linux with gdal 1.3.2. I suspect that the problem is with gdal rather than qgis - hopefully the next windows package of qgis will

use 1.3.2 and should fix the problem.

#3 - 2006-11-08 12:06 PM - Gavin Macaulay -

With gdal 1.3.1 under linux the file also displays incorrectly, so this appears to be a gdal problem that is resolved in 1.3.2. The next windows build of qgis

should then fix this ticket.

#4 - 2006-11-09 04:02 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

The preview of the windows preview 3 version of qgis, which uses gdal 1.3.2, fixes this problem.

#5 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

qgis_geotiff_grayscaling_bug.png 94.4 KB 2006-10-04 Redmine Admin
